#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QFile>
#include <QMainWindow>
#include <QTimer>
#include <QCloseEvent>

#include "sqliteInterface.hpp"
#include "wManualInsert.hpp"

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow {
  Q_OBJECT

 public:
  /**
   * @brief MainWindow        Constructor
   * @param parent            Parent Handle
   */
  explicit MainWindow(QWidget* parent = 0);
  ~MainWindow();

 private slots:
  // GUI Events
  void on_pushMano_clicked();
  void on_actionNuovo_triggered();
  void on_actionApri_triggered();
  void on_lineTessera_textEdited(const QString& text);
  void on_lineTessera_timer_timeout();

 private:
  Ui::MainWindow* ui;
  std::unique_ptr<wManualInsert> wmanualInsert;
  QFile* csv_file;
  QTimer lineTessera_timer;
  SqliteInterface sqliteInterface;

  void closeEvent(QCloseEvent *event);
  void addVisitor(QString& codfis, QString& anagrafica);
};

#endif